
// CALCOLO GIORNO GIULIANO A ORE UT 

function jd_ore_ut(giorno_dec,mese,anno,s)
{  
	// Calcolo data giuliana 
	// nella formula il giorno è decimale perche si vuole il giorno giuliano all'istante UT   
	  
	if (mese <= 2) 
		{
		  	mese = mese + 12; 
		  	anno = anno - 1; 	
		}
		  
	if (s > 15821015) 
		{ 
			var a; 
			var b; 
			var c; 
			a = Math.floor(anno/100);
			b = 2 - a + Math.floor(a/4);
			c = Math.floor(365.25 * (anno + 4716)) + Math.floor(30.6001 * (mese + 1)) + giorno_dec + b - 1524.5;
		}
	  
	if (s < 15821015) 
		{ 
			var c; 
			c = Math.floor(365.25 * (anno + 4716)) + Math.floor(30.6001 * (mese + 1)) + giorno_dec - 1524.5;
		}
	  
	return c;

}
	